Subject: Re: [bug#43851] [PATCH] gnu: sudo: Depend on python-minimal instead of python.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 09 Oct 2020 14:15:41 -0400

Hello Tobias!

Tobias Geerinckx-Rice <[email-masked]> writes:

> Good evening Janneke,
>
> Jan Nieuwenhuizen 写道：
>> Depending on python pulls in X11:
>
> It only depends on Python because I wasn't [consciously] aware of the
> existence of python-minimal.  Your patch LGTM.
>
>> However...do we really want to extend sudo with eh, a large
>> programming
>> language
>
> I enabled Python support in sudo because it exists for the same reason
> that Guile does.
>
> If we want a less hackable sudo - certainly a defensible position -
> that's fine by me.  If we do, then yes, I think Python is reasonable
> considering the alternative (C).

What kind of uses does the Python bindings provide? If we don't have any
use for it, I think it may be better to let the dependency go
altogether, to keep sudo as small and secure as possible.

Thanks,

Maxim